Develop UI mockups for cross-project searching using TextCat (language detection)
Closed, DeclinedPublic

Description

There are lots of ideas and discussions floating around out there, so we need to focus them and actually develop mockups for the first iteration of the potential UI changes for searching across projects using TextCat (language detection).

Trey sent an email with some v0 mockups that need improvement.

Chris suggested posting the mockups on a sub-page of the TextCat MediaWiki page for comment, which definitely sounds like a good idea.

If there isn't a consensus on the best UI, we could pursue A/B tests, and/or a demo for people to play with (T136637).

Below are a few options for the UI that can be considered; other mocks (for cross language display) are shown in T139310.

Additionally, here are a couple ways that other wiki's currently use to show their 'search results' across projects - enabling the user to easily search across projects for the same term(s):


debt added a comment.EditedAug 5 2016, 7:33 PM

This ticket will be deferred until later - until we can get T139310 solved.

debt changed the task status from Open to Stalled.Aug 5 2016, 7:35 PM
debt moved this task from This Quarter to Later on the Discovery-Search board.
debt renamed this task from Develop UI mockups for language detection/cross-wiki searching to Develop UI mockups for cross-project searching using TextCat (language detection).Aug 10 2016, 4:20 PM
debt edited projects, added Discovery-Search (Current work); removed Discovery-Search.
debt updated the task description. (Show Details)
debt moved this task from Backlog to UI on the Discovery-Search (Current work) board.
debt closed this task as Declined.

Declining this task for now - more information on what mocks we want to use in cross-wiki / sister project testing is here: https://www.mediawiki.org/wiki/Cross-wiki_Search_Result_Improvements/Testing

Once this testing is done and pushed into production, we can revisit to see if we need to do anything specifically for results returned by TextCat.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptJan 9 2017, 6:18 PM